<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      Your Name <mail@example.com>
 * @access      public
 */
class Admin_Moneymanage_Payment_Done
{

    var $moneyview;       //テーブル操作
    var $results;
    var $res;
    var $title;
    var $pagename;
    var $links;
    var $from;
    
    //update 素材
    var $check;
    
    //search 受渡し素材
    var $deposit_date_start;
    var $deposit_date_end;
    var $orderno_start;
    var $orderno_end;
    var $sellermember;
    var $state;
    var $display;
    var $sort;
    
    var $upduser;
    
    //金額
    var $saleprice;
    
    // 入力パラメータ
    var $cnt;         // 総登録件数
    var $pageID;      // ページ番号
    
    var $pagedata;
    var $cont;
    
    /**
     * [[機能説明]]
     *
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Admin_Moneymanage_Payment_doneが実行されました", "Admin_Moneymanage_Payment_done#execute");
        
        
        foreach($this->check as $key => $value){ 
               $date[] = explode("-", $value);
        }
                  
       foreach($date as $key => $value){
          $res = $this->moneyview->update($date[$key][0],$date[$key][1],$this->upduser);
       }


       if (!$res) return "error";


       
        return 'success';
    }
    

}
?>
